---
title: GeolocationCoordinates
slug: Web/API/GeolocationCoordinates
tags:
  - API
  - Geolocation API
  - GeolocationCoordinates
  - Interface
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <strong><code>GeolocationCoordinates</code></strong> interface represents the position and altitude of the device on Earth, as well as the accuracy with which these properties are calculated.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>GeolocationCoordinates</code> interface </em><em><em>doesn't inherit any properties</em></em>.</p>

<dl>
 <dt>{{domxref("GeolocationCoordinates.latitude")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a <code>double</code> representing the position's latitude in decimal degrees.</dd>
 <dt>{{domxref("GeolocationCoordinates.longitude")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a <code>double</code> representing the position's longitude in decimal degrees.</dd>
 <dt>{{domxref("GeolocationCoordinates.altitude")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a <code>double</code> representing the position's altitude in meters, relative to sea level. This value can be <code>null</code> if the implementation cannot provide the data.</dd>
 <dt>{{domxref("GeolocationCoordinates.accuracy")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a <code>double</code> representing the accuracy of the <code>latitude</code> and <code>longitude</code> properties, expressed in meters.</dd>
 <dt>{{domxref("GeolocationCoordinates.altitudeAccuracy")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a <code>double</code> representing the accuracy of the <code>altitude</code> expressed in meters. This value can be <code>null</code>.</dd>
 <dt>{{domxref("GeolocationCoordinates.heading")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a <code>double</code> representing the direction towards which the device is facing. This value, specified in degrees, indicates how far off from heading true north the device is. <code>0</code> degrees represents true north, and the direction is determined clockwise (which means that east is <code>90</code> degrees and west is <code>270</code> degrees). If <code>speed</code> is <code>0</code>, <code>heading</code> is <code><a href="/en-US/docs/JavaScript/Reference/Global_Objects/NaN">NaN</a></code>. If the device is unable to provide <code>heading</code> information, this value is <code>null</code>.</dd>
 <dt>{{domxref("GeolocationCoordinates.speed")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a <code>double</code> representing the velocity of the device in meters per second. This value can be <code>null</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em><em>The <code>GeolocationCoordinates</code> interface <em>neither implements, nor inherits any method.</em></em></em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#coordinates_interface', 'GeolocationCoordinates')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeolocationCoordinates")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using">Using the Geolocation API</a></li>
 <li>{{domxref("Geolocation")}}</li>
</ul>
